#include <fstream>
#include <cmath>
using namespace std;
int a1,b1,a2,b2;
int tu,mau;
int ucln(int a,int b)
{
	if(a<0)
	{
		a=0-a;
	}
	if(b<0)
	{
		b=0-b;
	}
	while(a!=b)
	{
		if(a>b)
		{
			a=a-b;
		}
		if(b>a)
		{
			b=b-a;
		}
	}
	return a;
}
int tps(int a1,int b1,int a2,int b2)
{
	tu=a1*b2-a2*b1;
}
int mps(int b1,int b2)
{
	mau=b1*b2;
}
void nhap()
{
	ifstream fi("CAU1_14.inp");
	fi>>a1>>b1>>a2>>b2;
	fi.close();
}
void xuat()
{
	ofstream fo("CAU1_14.out");
	tu=tps(a1,b1,a2,b2);
	mau=mps(b1,b2);
	int t=ucln(tu,mau);
	tu=tu/t;
	mau=mau/t;
	fo<<tu<<" "<<mau;
	fo.close();
}
int main()
{
	nhap();
	xuat();
	return 0;
}
